Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing
Class AbstractOWLTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest

All Implemented Interfaces:
  OWLTest

Direct Known Subclasses:
  DeprecationOWLTest, FacetConstraintsTest, FindSPARQLAssertsTest, InverseOfFunctionalMustBeInverseFunctionalTest, InverseOfInverseFunctionalMustBeFunctionalTest, InverseOfSubpropertyMustBeSubpropertyOfInverseOfSuperpropertyTest, InverseOfSymmetricPropertyMustBeSymmetricPropertyTest, InverseOfTopLevelPropertyMustBeTopLevelPropertyTest, InverseOfTransitivePropertyMustBeTransitivePropertyTest, InversePropertyMustHaveMatchingRangeAndDomainTest, MinCardiZeroTest, NoCardiRestrictionOnTransitivePropertiesOWLDLTest, NoClassesOrPropertiesInEnumerationsOWLDLTest, NoImportOfSystemOntologiesOWLDLTest, NoMetaclassOWLDLTest, NoPropertiesWithClassAsRangeOWLDLTest, NoSubclassesOfRDFClassesOWLDLTest, NoSuperOrSubPropertiesOfAnnotationPropertiesTest, PrimitiveSubclassesDisjointTest, PropertyDomainEmptyTest, PropertyDomainRedundancyTest, PropertyRangeRedundancyTest, SingleAssertedSuperclassTest, SPARQLAssertTest, SubclassesRestrictionDuplicatesThatOfSuperTest, SubpropertyDomainMustNarrowTest, SubpropertyRangeMustNarrowTest, SymmetricPropertyMustHaveEqualRangeAndDomainTest, TodoAnnotationOWLTest, TransitivePropertiesCannotBeFunctionalOWLDLTest

    public abstract class AbstractOWLTest

extends Object
implements OWLTest

A base implementation of OWLTest.

Author:
  Holger Knublauch

Field Summary
`static String` | `SANITY_GROUP`

Constructor Summary
`AbstractOWLTest()`
`AbstractOWLTest(String group, String name)`
`AbstractOWLTest(String group, String name, String documentation)`

Method Summary
`String` | `getDocumentation()` Gets a documentation text that describes the test.
`String` | `getGroup()`
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SANITY_GROUP

    public static final String SANITY_GROUP

See Also:
  Constant Field Values

Constructor Detail

### AbstractOWLTest

    public AbstractOWLTest()

### AbstractOWLTest

    public AbstractOWLTest(String group,
                           String name)

### AbstractOWLTest

    public AbstractOWLTest(String group,
                           String name,
                           String documentation)

Method Detail

### getGroup

    public String getGroup()

  Specified by:
    `getGroup` in interface `OWLTest`

### getName

    public String getName()

  Specified by:
    `getName` in interface `OWLTest`

### getDocumentation

    public String getDocumentation()

  Description copied from interface: `OWLTest`
  Gets a documentation text that describes the test. This could be HTML text.

  Specified by:
    `getDocumentation` in interface `OWLTest`
  Returns:
    the documentation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.